MCP Tools Reference: databaseinsights.googleapis.com

Tool: get_system_metrics

Fetches system related telemetry data for a given database instance using a PromQL query from cloud monitoring.

The following code sample shows how to use curl to call the get_system_metrics MCP tool.

Curl Request
curl --location 'https://databaseinsights.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_system_metrics",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

The request of the FetchSystemMetrics RPC.

FetchSystemMetricsRequest

JSON representation
{
  "parent": string,
  "resource": string,
  "promqlQuery": string,
  "startTime": string,
  "endTime": string
}
Fields
parent

string

Required. The name of the location where we request metrics. Format: projects/{project}/locations/{location}

resource

string

Required. The resource name used for system metrics. It is the project ID in this case.

promqlQuery

string

Required. The promql_query to fetch the system metrics.

startTime

string

Optional. The start_time of the metrics in RFC3339 format.

endTime

string

Optional. The end_time of the metrics in RFC3339 format.

Output Schema

The response of the FetchSystemMetrics RPC.

FetchSystemMetricsResponse

JSON representation
{
  "promqlResult": string
}
Fields
promqlResult

string

The result of the fetch system metrics.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌